//
// LIBDebugging.m
//  PeekIt II
//
//  Created by C.K. Haun on 1/2/13.
//  Copyright (c) 2013 Ravenware Industries LLC. All rights reserved.
//

//#import "SLIBDebugging.h"
#import "/Users/ckhaun/SupportLibMacOnly/SLibDebug/SLIBDebugging.h"


@implementation slibMasterDebugObject

static slibMasterDebugObject   *gDebugInstanceInstance = NULL;


-(id)init{
    {
                self = [super init];
        
        debugWinC = [[SLIBDebugWindowController alloc]initWithWindowNibName:@"SLIBDebugWindowController"];
        [debugWinC showWindow:debugWinC];
        debugWindow =(SLIBDebugWinow *) [debugWinC window];
        return (self);
    }
}


+ (slibMasterDebugObject *)instance
{
    @synchronized(self)
    {
        if (gDebugInstanceInstance == NULL)
            gDebugInstanceInstance = [[self alloc] init];
    }
    return(gDebugInstanceInstance);
}
-(void)addDebugItemToListMT:(SLIBDebugItem *)theItem{
    [debugWindow addDebugItemToList:theItem];
}

-(void)addDebugItemToList:(SLIBDebugItem *)theItem{
     [self performSelectorOnMainThread:@selector(addDebugItemToListMT:) withObject:theItem waitUntilDone:NO];
}
-(void)addToDebugTextMT:(SLIBDebugItem *)theItem{

[debugWindow addToDebugText:theItem];
}
-(void)addToDebugText:(SLIBDebugItem *)theItem{
    [self performSelectorOnMainThread:@selector(addToDebugTextMT:) withObject:theItem waitUntilDone:NO];

}
-(void)main_addToDebugText:(NSNotification *)note{
    
    [self addToDebugText:note.object];
}

-(void)safeaddToDebugText:(SLIBDebugItem *)theItem{
	[self performSelectorOnMainThread:@selector(addToDebugText:) withObject:theItem waitUntilDone:NO];

}

-(void)AddStringToDebugTextMT:(id   )A
{
    SLIBDebugItem *j879jhHH2345 = [[SLIBDebugItem alloc]initWithType:'TEXT' andSubtype:'NSST' andName:@"NSString" andData:A];
    //    [self innerAddToDebugTextMT:j879jhHH2345];
    [self safeaddToDebugText:j879jhHH2345];
}

@end


